Bug 189467 - avcstat wraps results at 2^32, on fast machines with good uptimes will give wrong results
avcstat wraps results at 2^32, on fast machines with good uptimes will give w...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-20 04:52 EDT by Russell Coker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 15:05:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix this bug (1.49 KB, patch)
2006-04-20 04:52 EDT, Russell Coker
no flags Details | Diff

  None (edit)
Description Russell Coker 2006-04-20 04:52:31 EDT
Run avcstats on a machine with a long uptime that has been busy (preferably 
SMP or multi-code) and observe that if the sum of all results is greater than 
2^32 then wrong numbers are displayed.
Comment 1 Russell Coker 2006-04-20 04:52:31 EDT
Created attachment 128031 [details]
patch to fix this bug
Comment 2 Russell Coker 2006-04-20 04:53:21 EDT
#189466 is a report of the same issue for RHEL4.
Comment 3 Daniel Walsh 2006-05-09 15:05:43 EDT
libselinux-1.30.6-2.

Note You need to log in before you can comment on or make changes to this bug.